Skip to main content
POST
/
ims
/
oneroster
/
rostering
/
v1p2
/
users
/
{userId}
/
credentials
/
{credentialId}
/
decrypt
Decrypt a user credential
curl --request POST \
  --url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/users/{userId}/credentials/{credentialId}/decrypt \
  --header 'Authorization: Bearer <token>'
{
  "password": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.timeback.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

userId
string
required

The sourcedId of the user

credentialId
string
required

The sourcedId of the credential to decrypt

Response

Successfully decrypted credential

password
string
required